ContiguousCacheMap< K, V, fast > Class Template Reference

A simple mapping from objects in the cache to user-defined types. More...

`#include <apt-pkg/solver3.h>`

## Public Member Functions

| ContiguousCacheMap (pkgCache &cache)
constexpr V & | operator[] (const K *key) noexcept
constexpr const V & | operator[] (const K *key) const noexcept
| ContiguousCacheMap (const ContiguousCacheMap &)=delete
ContiguousCacheMap & | operator= (const ContiguousCacheMap &)=delete

## Detailed Description

template<typename K, typename V, bool fast = false>
class APT::Solver::ContiguousCacheMap< K, V, fast >

A simple mapping from objects in the cache to user-defined types.

This default initializes an array with the specified value type for each object in the cache of that type.

The documentation for this class was generated from the following file:

- apt-pkg/solver3.h